.compilation {

    &__nav {
        margin-bottom: rem(35);
        display: flex;
        border-bottom: 1px solid $gray-200;
    }

    &__button {
        border: none;
        outline: none;
        display: block;
        color: #828282;
        cursor: pointer;
        text-align: left;
        line-height: 125%;
        font-size: rem(11);
        position: relative;
        text-decoration: none;
        background: transparent;
        padding: 0 rem(30) rem(16) 0;

        &:not(:last-child) {
            margin-right: rem(16);
        }

        &:before {
            left: 0;
            right: 0;
            bottom: -1px;
            content: '';
            height: 1px;
            position: absolute;
            background: $purple;
            opacity: 0;
            visibility: hidden;
            transition: .25s;
        }

        &:hover,
        &.active {

            &:before {
                opacity: 1;
                visibility: visible;
                transition: .25s;
            }

            .compilation__title {
                color: $purple;
                transition: .25s;
            }
        }
    }

    &__title {
        color: $dark;
        display: block;
        font-weight: 600;
        font-size: rem(15);
        margin-bottom: rem(6);
        transition: .25s;
    }

    &__grid {
        display: grid;
        grid-row-gap: rem(20);
        grid-column-gap: rem(12);
        grid-template-columns: 1fr;
    }

    @include media-breakpoint-up(sm) {


        &__title {
            font-size: rem(20);
        }

        &__grid {
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(md) {

        &__button {
            font-size: rem(12);
            padding: 0 rem(80) rem(20) 0;

            &:not(:last-child) {
                margin-right: rem(70);
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__grid {
            grid-column-gap: rem(30);
            grid-row-gap: rem(24);
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &__nav {
            margin-bottom: rem(40);
        }

        &__grid {
            grid-column-gap: rem(30);
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }

        &__button {
            padding-right: rem(100);

            &:not(:last-child) {
                margin-right: rem(70);
            }
        }
    }
}
